IcedTea-Web NetX

## net.sourceforge.jnlp.util
Class TeeOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.PrintStream
                  net.sourceforge.jnlp.util.TeeOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public final class TeeOutputStream

extends java.io.PrintStream

Behaves like the 'tee' command, sends output to both actual std stream and a file

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`TeeOutputStream(java.io.FileOutputStream fileOutputStream, java.io.PrintStream stdStream)`

Method Summary
`boolean` `checkError()`
`void` `close()`
`void` `flush()`
`void` `write(byte[] buf, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.io.PrintStream
`append, append, append, clearError, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, setError`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TeeOutputStream

    public TeeOutputStream(java.io.FileOutputStream fileOutputStream,
                           java.io.PrintStream stdStream)

Method Detail

### checkError

    public boolean checkError()

  Overrides:
    `checkError` in class `java.io.PrintStream`

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.PrintStream`

### flush

    public void flush()

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.PrintStream`

### write

    public void write(byte[] buf,
                      int off,
                      int len)

  Overrides:
    `write` in class `java.io.PrintStream`

### write

    public void write(int b)

  Overrides:
    `write` in class `java.io.PrintStream`

IcedTea-Web NetX

Submit a bug or feature